
footer{
    margin-top: 15vh;
    width: 100%;
    font-family: "Montserrat", sans-serif;
}

.footer p{
    margin: 0;
}


.footer-sub{
    width: 90vw;
    margin: 0 auto;
    background-color: #ececec;
    border-radius: 3vw;
    margin-bottom: 1vh;
}

.sub{
    display: flex;
    gap: 2vw;
    justify-content: space-around;
    align-items: center;
}

.sub img{
    width: 10vw;
}

.sub a{
    background-color: #000;
    padding: 1vh 3vw;
    border-radius: 1vw; 
    font-weight: 500;
    text-decoration: none;
    color: #fff;
    transition: 0.8s;
}

.sub a:hover{
    background-color: #686868;
    transition: 0.8s;
    font-weight: 500;
}

.footer-boxes{
    width: 90vw;
    display: grid;
    grid-template-columns: 20% 20% 20% 20%;
    grid-column-gap: 5%;
    grid-row-gap: 5vh;
    justify-content: center;
    margin: 0 auto;
    background-color: #ececec;
    padding: 2vw 0;
    border-radius: 3vw; 
}

#logo-box{
    grid-row-start: 1;
    grid-row-end: 3;
    display: flex;
    align-items: flex-start;
    justify-content: center;

}


.footer-box{
    display: flex;
    flex-direction: column;
}

/* PRVA KUTIJA*/
.footer-box img{
    width: 8vw;
}

#logo-tekst{
    width: 90%;
    padding-top: 3vh;
    font-weight: 300;
    text-align: justify;
    font-size: 0.65vw;
}

#logo-tekst b{
    font-weight: 400;
}

.footer-kratki-logo{
    width: 5vw!important;
    padding-top: 6vh;
    opacity: 0.4;
}
/* KRAJ PRVA KUTIJA*/

.naslov-kat p{
    font-weight: 500;
}

.footer-links{
    display: flex;
    flex-direction: column;
}

.footer-links p{
    font-weight: 300;
}

.footer-links a{
    text-decoration: none;
    color: #000;
    font-weight: 300;
    transition: .8s;
    width: fit-content;
}

.footer-links a:hover{
    color: #474747;
    font-weight: 500;
    transition: .8s;
}

.footer-links span{
    font-size: 20px;
    color: #000000;
    font-weight: 300;
}


#kontakt-footer{
    display: flex;
    column-gap: 0.2vw;
    align-items: center;
}

#kontakt-email{
    display: flex;
    column-gap: 0.2vw;
    align-items: center;
}







#copy{
    padding: 1vh 0;
    text-align: center;
    font-family: "Montserrat", sans-serif;
    font-weight: 300;
}

#copy a{
    text-decoration: none;
    font-weight: 400;
    color: #474747;
    transition: 0.8s;
}

#copy a:hover{
    font-weight: 500;
    color: #131313;
    transition: 0.8s;
}


@media only screen and (max-width: 550px){

    .footer-sub{
        width: 95vw;
        border-radius:10vw;
    }

    .sub{
        display: grid;
        grid-template-columns: auto auto auto;
        grid-template-rows: auto auto;
        column-gap: 0;
        row-gap: 1vh;
        padding: 1vh 5vw 0 2vw;
    }

    .sub img{
        align-self: flex-end;
        width: 50vw;
        grid-row-start: 3;
        height: 20vh;
        object-fit: cover;
    }

    .sub p{
        grid-column-start: 1;
        grid-column-end: 4;
        padding-top: 2vh;
        padding: 2vh 8vw 0 8vw;
        font-size: 3vw;
        font-weight: 300;
    }

    .sub a{
        border-radius: 5vw;
        grid-column-start: 2;
        grid-column-end: 4;
        grid-row-start: 3;
        text-align: center;
        font-size: 4vw;
        border-radius: 7vw;
    }

    .footer-boxes{
        width:95vw;
        grid-template-columns: auto;
        padding: 5vh 0;
        border-radius:10vw;
    }
    

    #logo-box{
        align-items: flex-start;
    }


    .footer-box{
        padding-left: 10vw;
        padding-right: 10vw;
    }

    .footer-box img{
        width: 26vw;
    }


    #logo-tekst{
        text-align: left;
        padding-right: 10vw;
        font-size: 3.2vw;
    }

    .footer-kratki-logo{
        display: none;
    }


    #copy{
        padding: 2vh 5vw;
        font-size: 2.7vw;
    }

}


@media only screen and (min-width: 550px) and (max-width: 1000px){

    .footer-sub{
        width: 90vw;
        border-radius:3vw;
    }

    .sub{
        justify-content: space-around;
        padding: 1vh 2vw;
    }

    .sub img{
        width: 7vw;
    }

    .sub p{
        width: 46vw;
    }


    .sub a{
        border-radius:3vw
    }

    .footer-boxes{
        width: 90vw;
        grid-template-columns:45% 45%;
        padding: 3vh 2vw;
        border-radius:3vw;
    }

    .footer-box img{
        width: 20vw;
    }

    .footer-kratki-logo{
        width: 20vw;
    }


    #logo-tekst{
        width:100%;
        align-self: center;
        font-size: small;
    }

    .footer-box img:nth-child(3){
        width: 12vw!important;
    }


    #copy{
        padding: 1vh 5vw;
    }

}


@media only screen and (min-width: 1001px) and (max-width: 1100px){

    .footer-sub{
        width: 95vw;
        border-radius:3vw;
        padding: 1vh 2vw;
    }

    .footer-boxes {
        width: 95vw;
        grid-template-columns: 20% 20% 20% 20%;
        border-radius: 3vw;
        padding: 2vh 0;
        grid-row-gap:2vh;
    }

    .footer-box img{
        width: 15vw;
    }

}



@media only screen and (min-width: 1200px) and (max-width: 1500px){

    .footer-sub{
        width: 90vw;
        border-radius: 3vw;
    }

    .sub a{
        border-radius: 3vw;
    }

    .sub img{
        width: 15vw;
    }

    .footer-boxes{
        width: 90vw;
        border-radius:3vw;
    }

    .footer-box img{
        width: 10vw;
    }

    #logo-tekst{
        font-size:small;
        text-align: left;
    }

    .footer-kratki-logo{
        width: 7vw!important;
    }


    #copy{
        font-size: 1vw;
    }

}